#GENERATION OF RESULTS OF GLMM IN SECTION 3.1.: "INDIVIDUAL BREEDING ACTIVITY"


#Load required R package
library(lme4)


#Load data 
Dataset.GLMM <- read.table(file = "dataset_individual_breeding_activity_GLMM.csv", header = TRUE, sep = ";", dec = ".")
Dataset.GLMM$Year <- as.character(Dataset.GLMM$Year)


#Use phase 2 as reference in GLMM analysis
Dataset.GLMM$Phase <- as.factor(Dataset.GLMM$Phase)
Dataset.GLMM$Phase <- relevel(Dataset.GLMM$Phase, "2")


#Run GLMM
Model.breeding <- glmer(Onset_breeding ~ Phase + Year + (1|Bird_ID), family = "binomial"(link = "logit"), data = Dataset.GLMM, weights = Weighting_factor_analysis)
summary(Model.breeding)


#Calculate 95%-confidence intervals
confint(Model.breeding)


